Bug 171909 - ps2 mouse and keyboard are experience spurious signals, kernel messages showpsmouse.c: Wheel Mouse at isa0060/serio1/input0 lost synchronization, throwing 3 bytes away.
ps2 mouse and keyboard are experience spurious signals, kernel messages showp...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
4
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-27 14:21 EDT by Bryan Nielsen
Modified: 2015-01-04 17:22 EST (History)
3 users (show)

See Also:
Fixed In Version: 2.6.14-1.1656_FC4smp
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-04 00:00:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bryan Nielsen 2005-10-27 14:21:23 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20050922 Fedora/1.0.7-1.1.fc4 Firefox/1.0.7

Description of problem:
After updating the kernel to kernel-smp-2.6.13-1.1532_FC4 the mouse intermittantly jumps around the screen and has button clicks. The keyboard also intermittantly repeats characters when typing.

At the same time the kernel is spitting out messages:
kernel: psmouse.c: Wheel Mouse at isa0060/serio1/input0 lost synchronization, throwing 3 bytes away.

The motherboard is an A-Bit AN8 with the nForce4 chipset.
The CPU is an AMD Athlon 64 X2 3800+
Keyboard and wheel mouse are plain ps2 hardware.



Version-Release number of selected component (if applicable):
kernel-smp-2.6.13-1.1532_FC4

How reproducible:
Always

Steps to Reproduce:
1. Boot the kernel-smp-2.6.13-1.1532_FC4 version kerenel.
2. Start X and log in.
3. Start up a few applications and move the mouse around the desktop.
  

Actual Results:  The mouse pointer jumps randomly around the desktop, spurious false mouse clicks are recieved, and the keyboard will intermittantly repeat characters when typing.

Expected Results:  The mouse pointer should follow mouse movement, there should only be mouse clicks when the mouse buttons are pressed, the keyboard should not randomly repeat characters.

Additional info:
Comment 1 Dave Jones 2005-11-10 14:18:40 EST
2.6.14-1.1637_FC4 has been released as an update for FC4.
Please retest with this update, as a large amount of code has been changed in
this release, which may have fixed your problem.

Thank you.
Comment 2 Bryan Nielsen 2005-11-13 15:22:11 EST
kernel 2.6.14-1.1637_FC4smp is an improvement, I'm not seeing the
synchronization errors and the intermittant key repeats are not as severe but
they still occur.

I've noticed that the problem is more prevelant when the system is heavily
loaded. e.g. if I run folding at home in the background so the CPU is busy the
intermittant key repeats occur at a higher frequency.

I'm currently still running the 2.6.11-1.1369_FC4smp kernel as it does not
exhibit any of the symptoms of the other kernels.
Comment 3 Ville Kesola 2005-11-14 06:31:54 EST
I have a similar kind of problem. The current kernel is 2.6.14-1.1637_FC4 and I
have Belkin Omni Cube 4-Port console box. 

Reproduce the problem:
1) Start the FC4 X-session
2) Change the console channel from Belkin Omni Cube 4-port box to the another
console and change back to FC4.
3) Mouse control has freak out and mouse jumps around the screen.

/var/log/messages:
Nov 14 13:15:39 mediabox kernel: psmouse.c: Wheel Mouse at isa0060/serio1/input0
lost synchronization, throwing 2 bytes away.
Nov 14 13:15:41 mediabox kernel: psmouse.c: Wheel Mouse at isa0060/serio1/input0
lost synchronization, throwing 3 bytes away.
Comment 4 Dave Jones 2006-02-03 00:22:21 EST
This is a mass-update to all currently open kernel bugs.

A new kernel update has been released (Version: 2.6.15-1.1830_FC4)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

Thank you.
Comment 5 Bryan Nielsen 2006-02-04 00:00:09 EST
I'm currently on 2.6.14-1.1656_FC4smp and there are no issues. Random key
repeats are gone and no further synchronization errors.

Note You need to log in before you can comment on or make changes to this bug.